<!--

function Delegate(){}
Delegate.create=function(o,f){
var JeFmc=new Array();
var AbNvB=arguments.length;
for(var i=2;i<AbNvB;i++) JeFmc[i-2]=arguments[i];
return function(){
var TkVAG=[].concat(arguments,JeFmc);
f.apply(o,TkVAG);
}
}
Tween=function(obj,prop,func,begin,finish,duration,suffixe){
this.init(obj,prop,func,begin,finish,duration,suffixe)
}
var t=Tween.prototype;
t.obj=new Object();
t.prop='';
t.func=function(t,b,c,d){return c*t/d+b;};
t.begin=0;
t.change=0;
t.prevTime=0;
t.prevPos=0;
t.looping=false;
t.hAnWM=0;
t.JSPJu=0;
t.qbJRg=0;
t.fHtLW=0;
t.khuYO=0;
t.ffOrj=0;
t.tkKPk=false;
t.name='';
t.suffixe='';
t.TFcnf=new Array();
t.setTime=function(t){
this.prevTime=this.JSPJu;
if(t>this.getDuration()){
if(this.looping){
this.rewind(t-this.hAnWM);
this.update();
this.XGtDF('onMotionLooped',{target:this,type:'onMotionLooped'});
}else{
this.JSPJu=this.hAnWM;
this.update();
this.stop();
this.XGtDF('onMotionFinished',{target:this,type:'onMotionFinished'});
}
}else if(t<0){
this.rewind();
this.update();
}else{
this.JSPJu=t;
this.update();
}
}
t.isRunning=function(){
return this.tkKPk;
}
t.getTime=function(){
return this.JSPJu;
}
t.setDuration=function(d){
this.hAnWM=(d==null||d<=0)?100000:d;
}
t.getDuration=function(){
return this.hAnWM;
}
t.setPosition=function(p){
this.prevPos=this.qbJRg;
var a=this.suffixe!=''?this.suffixe:'';
this.obj[this.prop]=Math.round(p)+a;
this.qbJRg=p;
this.XGtDF('onMotionChanged',{target:this,type:'onMotionChanged'});
}
t.getPosition=function(t){
if(t==undefined) t=this.JSPJu;
return this.func(t,this.begin,this.change,this.hAnWM);
};
t.setFinish=function(f){
this.change=f-this.begin;
};
t.geFinish=function(){
return this.begin+this.change;
};
t.init=function(obj,prop,func,begin,finish,duration,suffixe){
if(!arguments.length) return;
this.TFcnf=new Array();
this.addListener(this);
if(suffixe) this.suffixe=suffixe;
this.obj=obj;
this.prop=prop;
this.begin=begin;
this.qbJRg=begin;
this.setDuration(duration);
if(func!=null&&func!=''){
this.func=func;
}
this.setFinish(finish);
}
t.start=function(){
this.rewind();
this.startEnterFrame();
this.XGtDF('onMotionStarted',{target:this,type:'onMotionStarted'});
}
t.rewind=function(t){
this.stop();
this.JSPJu=(t==undefined)?0:t;
this.fixTime();
this.update();
}
t.fforward=function(){
this.JSPJu=this.hAnWM;
this.fixTime();
this.update();
}
t.update=function(){
this.setPosition(this.getPosition(this.JSPJu));
}
t.startEnterFrame=function(){
this.stopEnterFrame();
this.tkKPk=true;
this.onEnterFrame();
}
t.onEnterFrame=function(){
if(this.tkKPk){
this.nextFrame();
wa_timeout(Delegate.create(this,this.onEnterFrame),0);
}
}
t.nextFrame=function(){
this.setTime((this.getTimer()-this.khuYO)/1000);
}
t.stop=function(){
this.stopEnterFrame();
this.XGtDF('onMotionStopped',{target:this,type:'onMotionStopped'});
}
t.stopEnterFrame=function(){
this.tkKPk=false;
}
t.continueTo=function(finish,duration){
this.begin=this.qbJRg;
this.setFinish(finish);
if(this.hAnWM!=undefined)
this.setDuration(duration);
this.start();
}
t.resume=function(){
this.fixTime();
this.startEnterFrame();
this.XGtDF('onMotionResumed',{target:this,type:'onMotionResumed'});
}
t.yoyo=function(){
this.continueTo(this.begin,this.JSPJu);
}
t.addListener=function(o){
this.removeListener(o);
return this.TFcnf.push(o);
}
t.removeListener=function(o){
var a=this.TFcnf;
var i=a.length;
while(i--){
if(a[i]==o){
a.splice(i,1);
return true;
}
}
return false;
}
t.XGtDF=function(){
var arr=new Array();
for(var i=0;i<arguments.length;i++){
arr.push(arguments[i])
}
var e=arr.shift();
var a=this.TFcnf;
var l=a.length;
for(var i=0;i<l;i++){
if(a[i][e])
a[i][e].apply(a[i],arr);
}
}
t.fixTime=function(){
this.khuYO=this.getTimer()-this.JSPJu*1000;
}
t.getTimer=function(){
return new Date().getTime()-this.JSPJu;
}
Tween.backEaseIn=function(t,b,c,d,a,p){
if(s==undefined) var s=1.70158;
return c*(t/=d)*t*((s+1)*t-s)+b;
}
Tween.backEaseOut=function(t,b,c,d,a,p){
if(s==undefined) var s=1.70158;
return c*((t=t/d-1)*t*((s+1)*t+s)+1)+b;
}
Tween.backEaseInOut=function(t,b,c,d,a,p){
if(s==undefined) var s=1.70158;
if((t/=d/2)<1) return c/2*(t*t*(((s*=(1.525))+1)*t-s))+b;
return c/2*((t-=2)*t*(((s*=(1.525))+1)*t+s)+2)+b;
}
Tween.elasticEaseIn=function(t,b,c,d,a,p){
if(t==0) return b;
if((t/=d)==1) return b+c;
if(!p) p=d*.3;
if(!a||a<Math.abs(c)){
a=c;var s=p/4;
}
else
var s=p/(2*Math.PI)*Math.asin(c/a);
return-(a*Math.pow(2,10*(t-=1))*Math.sin((t*d-s)*(2*Math.PI)/p))+b;
}
Tween.elasticEaseOut=function(t,b,c,d,a,p){
if(t==0) return b;if((t/=d)==1) return b+c;if(!p) p=d*.3;
if(!a||a<Math.abs(c)){a=c;var s=p/4;}
else var s=p/(2*Math.PI)*Math.asin(c/a);
return(a*Math.pow(2,-10*t)*Math.sin((t*d-s)*(2*Math.PI)/p)+c+b);
}
Tween.elasticEaseInOut=function(t,b,c,d,a,p){
if(t==0) return b;if((t/=d/2)==2) return b+c;if(!p) var p=d*(.3*1.5);
if(!a||a<Math.abs(c)){var a=c;var s=p/4;}
else var s=p/(2*Math.PI)*Math.asin(c/a);
if(t<1) return-.5*(a*Math.pow(2,10*(t-=1))*Math.sin((t*d-s)*(2*Math.PI)/p))+b;
return a*Math.pow(2,-10*(t-=1))*Math.sin((t*d-s)*(2*Math.PI)/p)*.5+c+b;
}
Tween.bounceEaseOut=function(t,b,c,d){
if((t/=d)<(1/2.75)){
return c*(7.5625*t*t)+b;
}else if(t<(2/2.75)){
return c*(7.5625*(t-=(1.5/2.75))*t+.75)+b;
}else if(t<(2.5/2.75)){
return c*(7.5625*(t-=(2.25/2.75))*t+.9375)+b;
}else{
return c*(7.5625*(t-=(2.625/2.75))*t+.984375)+b;
}
}
Tween.bounceEaseIn=function(t,b,c,d){
return c-Tween.bounceEaseOut(d-t,0,c,d)+b;
}
Tween.bounceEaseInOut=function(t,b,c,d){
if(t<d/2) return Tween.bounceEaseIn(t*2,0,c,d)*.5+b;
else return Tween.bounceEaseOut(t*2-d,0,c,d)*.5+c*.5+b;
}
Tween.strongEaseInOut=function(t,b,c,d){
return c*(t/=d)*t*t*t*t+b;
}
Tween.regularEaseIn=function(t,b,c,d){
return c*(t/=d)*t+b;
}
Tween.regularEaseOut=function(t,b,c,d){
return-c*(t/=d)*(t-2)+b;
}
Tween.regularEaseInOut=function(t,b,c,d){
if((t/=d/2)<1) return c/2*t*t+b;
return-c/2*((--t)*(t-2)-1)+b;
}
Tween.strongEaseIn=function(t,b,c,d){
return c*(t/=d)*t*t*t*t+b;
}
Tween.strongEaseOut=function(t,b,c,d){
return c*((t=t/d-1)*t*t*t*t+1)+b;
}
Tween.strongEaseInOut=function(t,b,c,d){
if((t/=d/2)<1) return c/2*t*t*t*t*t+b;
return c/2*((t-=2)*t*t*t*t+2)+b;
}
OpacityTween.prototype=new Tween();
OpacityTween.prototype.constructor=Tween;
OpacityTween.superclass=Tween.prototype;
function OpacityTween(obj,func,LsmmN,xhFvR,hAnWM){
this.targetObject=obj;
this.init(new Object(),'a',func,LsmmN,xhFvR,hAnWM);
this.onMotionChanged=function(evt){
var v=evt.target.qbJRg;
var t=this.targetObject;
v=Math.round(v*100)/100
t.style['opacity']=v/100;
t.style['-moz-opacity']=v/100;
html_SetOpacity(t,v/100);
}
}
function html_canvas(mRYUY,gmpKc,pbaCN)
{
return "<canvas id='"+mRYUY+"' width='"+gmpKc+"' height='"+pbaCN+"'></canvas>"
}
function WA_canvas(mRYUY,gmpKc,pbaCN)
{
document.write(html_canvas(mRYUY,gmpKc,pbaCN))
}
function vpaGA(xvKRj,x0,y0,lx0,ly0)
{
var x=x0+lx0/2;var y=y0+ly0/2;var lx=lx0/2;var ly=ly0/2;var radius=lx0/2;var yRadius=ly0/2;
xvKRj.beginPath();
var theta,xrCtrl,yrCtrl,angleMid,px,py,cx,cy;
theta=Math.PI/4;xrCtrl=radius/Math.cos(theta/2);yrCtrl=yRadius/Math.cos(theta/2);var angle=0;
xvKRj.moveTo(x+radius,y);
for(var i=0;i<8;i++){
angle+=theta;angleMid=angle-(theta/2);cx=x+Math.cos(angleMid)*xrCtrl;cy=y+Math.sin(angleMid)*yrCtrl;px=x+Math.cos(angle)*radius;py=y+Math.sin(angle)*yRadius;
xvKRj.quadraticCurveTo(cx,cy,px,py);
}
}
function VkfuF(c,x,y,lx,ly,arc,clowckwise)
{
c.beginPath()
CjFjX(c,x,y,lx,ly,arc,clowckwise)
}
function CjFjX(c,x,y,lx,ly,arc,clowckwise)
{
if(clowckwise)
{
c.moveTo(x+arc,y);c.lineTo(x+lx-arc,y);c.quadraticCurveTo(x+lx,y,x+lx,y+arc);c.lineTo(x+lx,y+ly-arc);c.quadraticCurveTo(x+lx,y+ly,x+lx-arc,y+ly);c.lineTo(x+arc,y+ly);c.quadraticCurveTo(x,y+ly,x,y+ly-arc);c.lineTo(x,y+arc);c.quadraticCurveTo(x,y,x+arc,y);
return;
}
c.moveTo(x,y+arc);c.lineTo(x,y+ly-arc);c.quadraticCurveTo(x,y+ly,x+arc,y+ly);c.lineTo(x+lx-arc,y+ly);c.quadraticCurveTo(x+lx,y+ly,x+lx,y+ly-arc);c.lineTo(x+lx,y+arc);c.quadraticCurveTo(x+lx,y,x+lx-arc,y);c.lineTo(x+arc,y);c.quadraticCurveTo(x,y,x,y+arc);
}
function isWebKit()
{
if(navigator.userAgent.match(/webkit/i)) return true;
return false;
}
function isMSIE()
{
return BrowserDetect.browser=="Explorer" 
}
function isMSIE8()
{
if((BrowserDetect.browser=="Explorer")&&(BrowserDetect.version==8))
{
return true;
}
return false;
}
function IGgRj()
{
return isWebKit();
}
function isMobileWithoutFlash()
{
return isIPhone();
}
function isMobileBrowser()
{
return isIPhone();
}
function isIPhone()
{
if(navigator.userAgent.match(/iPhone/i)||navigator.userAgent.match(/iPod/i))
return true;
return false;
}
function LqTYe(lx,ly,parent,id_suffixe)
{
var TkBJv=document.createElement('canvas');TkBJv.width=lx;TkBJv.height=ly;
return TkBJv;
}
function JMQBB(MwOsF)
{
var WJssr=(-MwOsF+45);
return new Point(Math.cos(WJssr*(2*Math.PI)/360),Math.sin(WJssr*(2*Math.PI)/360))
}
function Pnalg(c,MwOsF)
{
var offset=JMQBB(MwOsF)
c.shadowOffsetX=2*offset.x;
c.shadowOffsetY=2*offset.y;
c.shadowBlur=4;
}
function WA_over_img_html(bVQKs,VmGYU,tAeGB)
{
if(!bVQKs.src)
{
var MTLoF=bVQKs.getElementsByTagName("IMG")
if(MTLoF.length==1)bVQKs=MTLoF[0]
}
if(bVQKs.src1==undefined)
{
bVQKs.src1=bVQKs.src;
bVQKs.src2=VmGYU;
}
if(tAeGB)
{
bVQKs.src=bVQKs.src2;
}
else
{
bVQKs.src=bVQKs.src1;
}
}
function WA_over_img(id,tAeGB)
{
var el=document.getElementById(id+"-canvas") 

var bVQKs=(tAeGB)?el.wa_s_img[1]:el.wa_s_img[0]
WA_img(id,el.wa_lx,el.wa_ly,el.wa_arc,el.wa_bord_siz,el.wa_bord_col,[bVQKs,bVQKs],el.wa_shadow,el.wa_rot,el.wa_reflex)
}
function tjtAF(mRYUY,lx,ly,arc,side)
{
this.id=mRYUY;
this.lx=lx;
this.ly=ly;
this.arc=arc;
var nSide=side
var reflexion=0.25
var sizeReflex=ly*reflexion;
this.decX=0
this.decY=0
this.sX=0;
this.sY=ly-sizeReflex;
this.sLx=lx;
this.sLy=sizeReflex;
this.gradX1=0
this.gradY1=this.sY
this.gradX2=0
this.gradY2=ly 
if(nSide==2)
{
this.decY=1
}
if(nSide==1)
{
sizeReflex=lx*reflexion;
this.sX=lx-sizeReflex;
this.sY=0;
this.sLx=sizeReflex;
this.sLy=ly;
this.gradX1=this.sX
this.gradY1=0
this.gradX2=lx
this.gradY2=0
this.decX=1
}
if(nSide==0)
{
sizeReflex=ly*reflexion;
this.sX=0;
this.sY=0;
this.sLx=lx;
this.sLy=sizeReflex;
this.gradX1=0
this.gradY1=sizeReflex
this.gradX2=0
this.gradY2=0
this.decY=-1
}
if(nSide==3)
{
sizeReflex=lx*reflexion;
this.sX=0;
this.sY=0;
this.sLx=sizeReflex;
this.sLy=ly;
this.gradX1=sizeReflex
this.gradY1=0
this.gradX2=0
this.gradY2=0
this.decX=-1
}
this.jNWQS=function(canv2)
{
if(isIPhone()) return;
if(/opera/i.test(navigator.userAgent)) return;
if(navigator.userAgent.match(/Firefox/i))
{
var div=document.getElementById(this.id)
if(div.style.MozTransform===undefined) return;
}
var iDofH=document.getElementById(this.id+"-reflex")
var HfgqC=iDofH.getContext('2d');
HfgqC.translate(this.lx,0)
HfgqC.scale(-1,1)
HfgqC.beginPath()
VkfuF(HfgqC,1,1,this.lx-2,this.ly-2,this.arc)
HfgqC.clip() 


HfgqC.drawImage(canv2,this.sX,this.sY,this.sLx,this.sLy,this.sX,this.sY,this.sLx,this.sLy);
HfgqC.globalCompositeOperation="destination-out";
var gradient=HfgqC.createLinearGradient(this.gradX1,this.gradY1,this.gradX2,this.gradY2);
gradient.addColorStop(0,"rgba(255, 255, 255, 1)");
gradient.addColorStop(1,"rgba(255, 255, 255, 0.1)");
HfgqC.fillStyle=gradient;
HfgqC.beginPath()
HfgqC.rect(this.sX-this.decX,this.sY-this.decY,this.sLx,this.sLy);
HfgqC.fill();
HfgqC.globalCompositeOperation="source-over";
HfgqC.scale(-1,1)
HfgqC.translate(-this.lx,0) 
}
}
function extractNum(st)
{
var len=st.length
if((len>0)&&(st.substring(len-2,len)=="px"))
{
return wa_evaluate(st.substring(0,len-2))
}
return 0;
}
function VGIWx(c2,lx,ly,ftpAL,bord_col,arc,arc2)
{
if(ftpAL>0)
{
c2.beginPath()
c2.fillStyle=bord_col;
c2.beginPath()
VkfuF(c2,0,0,lx,ly,arc)
CjFjX(c2,ftpAL,ftpAL,lx-2*ftpAL,ly-2*ftpAL,arc2,true)
c2.fill()
}
}
function DSqfn()
{
this.tx=0
this.ty=0
this.rotation=0
}
function BCJWD(id,lx,ly,rot,c2,canv2,shadow,matrix)
{
if(navigator.userAgent.match(/Firefox/i)||navigator.userAgent.match(/opera/i))
{
var div=document.getElementById(id)
if(div.style.MozTransform!=undefined) return;
if(matrix==undefined)
{
matrix=new DSqfn()
}
div.style.webkitTransformOrigin="0 0"
div.style.webkitTransform="rotate(0deg)";
if(div.style.MozTransform!=undefined)
{
div.style.MozTransform="rotate(0deg)";
div.style.MozTransformOrigin="top left"
}
rot=Math.round(rot/90)*90 
var ciZAm=0;
if(shadow)ciZAm=6
var dDhWC=id+"-canvas"
var el=document.getElementById(dDhWC)
if(div.wa_pos==undefined)
{
div.wa_pos=new Point(extractNum(div.style.left),extractNum(div.style.top))
}
if(div.wa_size==undefined)
{
div.wa_size=new Size(extractNum(div.style.width),extractNum(div.style.height))
}
if(rot==90)
{
html_SetPosition(div,div.wa_pos.x-(ly)-ciZAm,div.wa_pos.y-ciZAm)
html_SetCanvasSize(el,div.wa_size.height+2*ciZAm,div.wa_size.width+2*ciZAm)
html_SetCanvasSize(canv2,div.wa_size.height+4*ciZAm,div.wa_size.width+4*ciZAm)
html_SetSize(div,div.wa_size.height+2*ciZAm,div.wa_size.width+2*ciZAm) 
matrix.tx=ly+2*ciZAm
matrix.ty=2*ciZAm
}
if(rot==180)
{
html_SetPosition(div,div.wa_pos.x-lx,div.wa_pos.y-ly)
matrix.tx=lx
matrix.ty=ly
}
if(rot==270)
{
html_SetPosition(div,div.wa_pos.x-ciZAm,div.wa_pos.y-lx-ciZAm)
html_SetCanvasSize(el,div.wa_size.height+2*ciZAm,div.wa_size.width+2*ciZAm)
html_SetCanvasSize(canv2,div.wa_size.height+4*ciZAm,div.wa_size.width+4*ciZAm)
html_SetSize(div,div.wa_size.height+2*ciZAm,div.wa_size.width+2*ciZAm) 
matrix.tx=2*ciZAm
matrix.ty=lx+2*ciZAm
}
matrix.rotation=rot*2*Math.PI/360
c2.translate(matrix.tx,matrix.ty)
c2.rotate(matrix.rotation)
}
}
function WA_img(id,lx,ly,arc,ftpAL,bord_col,s_img,shadow,rot,WGWVE)
{
var dDhWC=id+"-canvas"
var el=document.getElementById(dDhWC)
var c=el.getContext('2d');
var ZSsqg=false;
if((WGWVE!=undefined)&&(WGWVE!=-1))
{
ZSsqg=new tjtAF(dDhWC,lx,ly,arc,WGWVE)
}
var ciZAm=0;
if(shadow)ciZAm=6 

if(el.wa_lx==undefined)
{
el.wa_lx=lx
el.wa_ly=ly
el.wa_arc=arc
el.wa_bord_siz=ftpAL
el.wa_bord_col=bord_col
el.wa_s_img=s_img
el.wa_shadow=shadow
el.wa_rot=rot
el.wa_reflex=WGWVE
c.translate(ciZAm,ciZAm)
}
var ikRAa_img=document.getElementById(id+"-cache")
ikRAa_img.onload=function()
{
c.clearRect(0,0,lx+2*ciZAm,ly+2*ciZAm)
var arc2=arc-ftpAL;
if(arc2<0)arc2=0;
this.width=lx-2*ftpAL
this.height=ly-2*ftpAL
if(isMSIE())
{
if(shadow) grvZp(c,0,0,lx,ly,arc,false,rot)
var TMKPU=c.createPattern(this,'no-repeat');
c.fillStyle=TMKPU;
c.beginPath()
VkfuF(c,ftpAL,ftpAL,lx-2*ftpAL,ly-2*ftpAL,arc2)
c.translate(ftpAL,ftpAL)
c.fill()
c.translate(-ftpAL,-ftpAL)
VGIWx(c,lx,ly,ftpAL,bord_col,arc,arc2)
}
else
if(navigator.userAgent.match(/Firefox/i)&&(shadow))
{
var gCmTI=new  DSqfn()
BCJWD(id,lx,ly,rot,c,el,shadow,gCmTI)
if(shadow) grvZp(c,0,0,lx,ly,arc,false,rot)
var c2=c
VGIWx(c2,lx,ly,ftpAL,bord_col,arc,arc2)
c2.beginPath()
VkfuF(c2,ftpAL,ftpAL,lx-2*ftpAL,ly-2*ftpAL,arc2)
c2.clip()
c2.drawImage(this,ftpAL,ftpAL,lx-2*ftpAL,ly-2*ftpAL);
c2.rotate(-gCmTI.rotation)
c2.translate(-gCmTI.tx,-gCmTI.ty)
}
else
{
var canv2=LqTYe(lx,ly,el,"bis");
var c2=canv2.getContext('2d');
var gCmTI=new  DSqfn()
BCJWD(id,lx,ly,rot,c2,canv2,shadow,gCmTI)
c.clearRect(-ciZAm,-ciZAm,lx+2*ciZAm,ly+2*ciZAm)
VGIWx(c2,lx,ly,ftpAL,bord_col,arc,arc2)
c2.beginPath()
VkfuF(c2,ftpAL,ftpAL,lx-2*ftpAL,ly-2*ftpAL,arc2)
c2.clip()
c2.drawImage(this,ftpAL,ftpAL,lx-2*ftpAL,ly-2*ftpAL);
c2.rotate(-gCmTI.rotation)
c2.translate(-gCmTI.tx,-gCmTI.ty)
if(shadow) Pnalg(c,rot)
c.drawImage(canv2,0,0);
if(ZSsqg)
{
ZSsqg.jNWQS(canv2)
}
}
}
ikRAa_img.src=s_img[0];
}
function gLWSQ(jcrHh,MwOsF,IKfqs,bcZPk)
{
jcrHh.style.left=IKfqs+"px"
jcrHh.style.top=bcZPk+"px"
jcrHh.style.webkitTransformOrigin="0 0"
jcrHh.style.webkitTransform="rotate("+MwOsF+"deg)";
}
function OHQOb(c,type,lx,ly,corner)
{
if(type==1)
vpaGA(c,0,0,lx,ly)
else
VkfuF(c,0,0,lx,ly,corner)
}
function MmfrW(el,c,type,lx,ly,corner,bg,bePLT,rot)
{
if(IGgRj()==false)
{
c.fillStyle=bg;
OHQOb(c,type,lx,ly,corner)
c.fill()
}
else
{
var canv2=LqTYe(lx,ly,el,"bis");
var c2=canv2.getContext('2d');
c2.fillStyle=bg;
OHQOb(c2,type,lx,ly,corner)
c2.fill()
if(bePLT) Pnalg(c,rot)
c.drawImage(canv2,0,0);
c.shadowOffsetX=0;
c.shadowOffsetY=0;
c.shadowBlur=0;
}
}
function SJlfj(c,type,lx,ly,fXQtY,bg,SkqDo,LKaer_glow)
{
if(SkqDo)
{
var x1=SkqDo[0];var y1=SkqDo[1];var lx1=SkqDo[2];var ly1=SkqDo[3];var qfKUd=SkqDo[4];
var kTdXh=c.createLinearGradient(x1,y1,x1,y1+ly1);
kTdXh.addColorStop(0,"rgba(255,255,255,0.7)");kTdXh.addColorStop(1,"rgba(255,255,255,0.1)");
c.fillStyle=kTdXh;
if(type==1) vpaGA(c,x1,y1,lx1,ly1)
else
VkfuF(c,x1,y1,lx1,ly1,qfKUd)
c.fill()
}
if(LKaer_glow)
{
var x2=LKaer_glow[0];var y2=LKaer_glow[1];var lx2=LKaer_glow[2];var ly2=LKaer_glow[3];
var BDEtC=LKaer_glow[4];
var RHSZD_glow=new RGBColor(LKaer_glow[5]);
RHSZD_glow.a=0;
var col1=LKaer_glow[5];
var col2=RHSZD_glow.toRGB();
var aYKGC=c.createLinearGradient(x2,y2,x2,y2+ly2);
aYKGC.addColorStop(0,col2);
aYKGC.addColorStop(0.2,col2);
aYKGC.addColorStop(1,col1);
c.fillStyle=aYKGC;
if(type==1) vpaGA(c,x2,y2,lx2,ly2)
else
VkfuF(c,x2,y2,lx2,ly2,BDEtC)
c.fill()
}
}
function QbplY(kPanm,mRYUY,TnZOp,gmpKc,pbaCN,fXQtY,CgFOr,SkqDo,LKaer_glow,bePLT,MwOsF)
{
kPanm.mRYUY=mRYUY;kPanm.TnZOp=TnZOp;
kPanm.gmpKc=gmpKc;kPanm.pbaCN=pbaCN;
kPanm.fXQtY=fXQtY;kPanm.CgFOr=CgFOr,kPanm.SkqDo=SkqDo;
kPanm.LKaer_glow=LKaer_glow;kPanm.bePLT=bePLT;kPanm.MwOsF=MwOsF;
}
function WA_but_over(mRYUY,CgFOr_over,RHSZD_glow)
{
var UPGeu=document.getElementById(mRYUY) 
if(UPGeu&&UPGeu.PxChv)
with(UPGeu.PxChv)
{
var LKaer_glow_over;
if(LKaer_glow&&RHSZD_glow)
{
LKaer_glow_over=new Array();
for(var Eoigb=0;Eoigb<LKaer_glow.length;Eoigb++)LKaer_glow_over[Eoigb]=LKaer_glow[Eoigb];
LKaer_glow_over[5]=RHSZD_glow;
}
WA_but(mRYUY,TnZOp,gmpKc,pbaCN,fXQtY,CgFOr_over,SkqDo,LKaer_glow_over,bePLT,MwOsF);
}
var ipivU_over0=document.getElementById(mRYUY+"-div0")
if(ipivU_over0)html_SetVisibility(ipivU_over0,false);
var MSNBC=document.getElementById(mRYUY+"-div1")
if(MSNBC)html_SetVisibility(MSNBC,true);
}
function WA_but_out(mRYUY)
{
var UPGeu=document.getElementById(mRYUY)
with(UPGeu.PxChv)
{
WA_but(mRYUY,TnZOp,gmpKc,pbaCN,fXQtY,CgFOr,SkqDo,LKaer_glow,bePLT,MwOsF);
}
var ipivU_over0=document.getElementById(mRYUY+"-div0")
if(ipivU_over0)html_SetVisibility(ipivU_over0,true);
var MSNBC=document.getElementById(mRYUY+"-div1")
if(MSNBC)html_SetVisibility(MSNBC,false);
}
function WA_but(id,type,lx,ly,corner,bg,top_light,s_glow,bePLT,rot)
{
var el=document.getElementById(id)
if(el.PxChv==undefined)
{
el.PxChv=new Array();
QbplY(el.PxChv,id,type,lx,ly,corner,bg,top_light,s_glow,bePLT,rot);
}
var c=el.getContext('2d');
var ciZAm=0;
if(bePLT)ciZAm=6 
c.fillStyle="#000000";
c.fillRect(0,0,lx+2*ciZAm,ly+2*ciZAm) 
c.clearRect(0,0,lx+2*ciZAm,ly+2*ciZAm) 
var bg2=bg
if(bg2.substring(0,1)=="(")
{
bg2=bg2.substring(1)
bg2=bg2.substring(0,bg2.length-1)
var img=new Image();
img.onload=function()
{
if(IGgRj()==false)
{
c.translate(ciZAm,ciZAm)
img.width=lx
img.height=ly 
if(bePLT)
grvZp(c,0,0,lx,ly,corner,(type==1),rot)
if(navigator.userAgent.match(/Firefox/i))
{
c.beginPath()
OHQOb(c,type,lx,ly,corner)
c.clip()
c.drawImage(img,0,0,lx,ly);
}
else
{
var ptrn=c.createPattern(img,'no-repeat');
c.fillStyle=ptrn;
c.beginPath()
OHQOb(c,type,lx,ly,corner)
c.fill()
}
SJlfj(c,type,lx,ly,corner,bg,top_light,s_glow)
c.translate(-ciZAm,-ciZAm)
}
else
{
var canv2=LqTYe(lx,ly,el,"bis");
var c2=canv2.getContext('2d');
c2.beginPath()
OHQOb(c2,type,lx,ly,corner)
c2.clip()
c2.drawImage(img,0,0,lx,ly);
SJlfj(c2,type,lx,ly,corner,bg,top_light,s_glow)
if(bePLT) Pnalg(c,rot) 
c.drawImage(canv2,ciZAm,ciZAm);
}
}
img.src=bg2;
return;
}
c.translate(ciZAm,ciZAm) 
if(bePLT&&(IGgRj()==false))
{
var BAcfe=new RGBColor(bg);
if(BAcfe.a>0)
{
grvZp(c,0,0,lx,ly,corner,(type==1),rot)
}
}
MmfrW(el,c,type,lx,ly,corner,bg2,bePLT,rot)
SJlfj(c,type,lx,ly,corner,bg,top_light,s_glow)
c.translate(-ciZAm,-ciZAm)
}
function grvZp(c,x0,y0,lx0,ly0,corner,is_circle,rot)
{
var decShadow=2;
var offset=JMQBB(rot)
c.translate(decShadow*offset.x,decShadow*offset.y)
var dec_init=2;
var x=x0-dec_init;var y=y0-dec_init;var lx=lx0+2*dec_init;var ly=ly0+2*dec_init;var opacity=0.1;
for(var n=0;n<4;n++)
{
c.beginPath()
if(is_circle) vpaGA(c,x,y,lx,ly);else VkfuF(c,x,y,lx,ly,corner);
c.fillStyle="rgba(0,0,0, "+opacity+")"
c.fill()
x+=1;y+=1;lx-=2;ly-=2;opacity+=0.04
}
c.translate(-decShadow*offset.x,-decShadow*offset.y)
}
function pCbTT(id,x,y,lx,ly,arc,ftpAL,bord_col,bg,shadow,rot,QquDh,rxBZT)
{
if(rxBZT==undefined)rxBZT=true;
var el=document.getElementById(id)
var c=el.getContext('2d');
if(QquDh==undefined)QquDh=1.0;
var ciZAm=0;
c.shadowOffsetX=0;
c.shadowOffsetY=0;
c.shadowBlur=0;
if(shadow)
{
ciZAm=6;
}
if(rxBZT) c.clearRect(0,0,el.width,el.height)
c.globalAlpha=QquDh 
var x_rect0=0;
var y_rect0=0;
var bg1=bg[0]
var fill_obj=false;
if(bg1.substring(0,1)=="(")
{
bg1=bg1.substring(1);
bg1=bg1.substring(0,bg1.length-1)
var wjoNI=bg1.split(";");
var x1=parseFloat(wjoNI[0]);
var y1=parseFloat(wjoNI[1]);
var x2=parseFloat(wjoNI[2]);
var y2=parseFloat(wjoNI[3]);
var col1=wjoNI[4];
var col2=wjoNI[5];
var grad=c.createLinearGradient(x1,y1,x2,y2);
grad.addColorStop(0,col1);
grad.addColorStop(1,col2);
fill_obj=grad
}
else
{
if(bg1.length==0)bg1='rgba(0,0,0,0)'
fill_obj=bg1;
}
var arc2=arc-ftpAL;
if(arc2<0)arc2=0
var canv2=false;
var c2=c;
{
if(shadow) grvZp(c,ciZAm,ciZAm,lx,ly,arc,false,rot)
}
if(ftpAL>0)
{
c2.fillStyle=bord_col;
VkfuF(c2,x,y,lx,ly,arc)
CjFjX(c2,x+ftpAL,y+ftpAL,lx-2*ftpAL,ly-2*ftpAL,arc2,true)
c2.fill()
}


c2.fillStyle=fill_obj 
VkfuF(c2,x+ftpAL,y+ftpAL,lx-2*ftpAL,ly-2*ftpAL,arc2)
c2.fill();
}
function HuKqM(HWGXh,mCpSI,KcSxW)
{
return new Point(Math.round(HWGXh*Math.cos(KcSxW)-mCpSI*Math.sin(KcSxW)),Math.round(HWGXh*Math.sin(KcSxW)+mCpSI*Math.cos(KcSxW)))
}
function RvtCq(c,x,y,lx,ly,arc,clowckwise,MwOsF)
{
c.beginPath()
amVCA(c,x,y,lx,ly,arc,clowckwise,MwOsF)
}
function amVCA(c,x,y,lx,ly,arc,clowckwise,MwOsF)
{
if(clowckwise)
{
c.moveTo(x+arc,y);
c.lineTo(x+lx-arc,y);
c.quadraticCurveTo(x+lx,y,x+lx,y+arc);
c.lineTo(x+lx,y+ly-arc);
c.quadraticCurveTo(x+lx,y+ly,x+lx-arc,y+ly);
c.lineTo(x+arc,y+ly);
c.quadraticCurveTo(x,y+ly,x,y+ly-arc);
c.lineTo(x,y+arc);
c.quadraticCurveTo(x,y,x+arc,y);
return;
}
var tdOPF=[[x,y+arc],[x,y+ly-arc],[x,y+ly],[x+arc,y+ly],[x+lx-arc,y+ly],[x+lx,y+ly],[x+lx,y+ly-arc],[x+lx,y+arc],[x+lx,y],[x+lx-arc,y],[x+arc,y],[x,y],[x,y+arc]];
var theta=MwOsF*2*Math.PI/360
for(var n=0;n<tdOPF.length;n++)
{
var qpDBY=tdOPF[n][0]
var nLXpO=tdOPF[n][1]
tdOPF[n][0]=qpDBY*Math.cos(theta)-nLXpO*Math.sin(theta);
tdOPF[n][1]=qpDBY*Math.sin(theta)+nLXpO*Math.cos(theta);
}
var n=0;
c.moveTo(tdOPF[n][0],tdOPF[n++][1]);
c.lineTo(tdOPF[n][0],tdOPF[n++][1]);
c.quadraticCurveTo(tdOPF[n][0],tdOPF[n++][1],tdOPF[n][0],tdOPF[n++][1]);
c.lineTo(tdOPF[n][0],tdOPF[n++][1]);
c.quadraticCurveTo(tdOPF[n][0],tdOPF[n++][1],tdOPF[n][0],tdOPF[n++][1]);
c.lineTo(tdOPF[n][0],tdOPF[n++][1]);
c.quadraticCurveTo(tdOPF[n][0],tdOPF[n++][1],tdOPF[n][0],tdOPF[n++][1]);
c.lineTo(tdOPF[n][0],tdOPF[n++][1]);
c.quadraticCurveTo(tdOPF[n][0],tdOPF[n++][1],tdOPF[n][0],tdOPF[n++][1]);
}
function NiTKS(a,b,x,y)
{
return(a*x-y+b)/(Math.sqrt(1+a*a))
}
function QGCaJ(new_a1,new_b1,kRLnN,multi)
{
var d=0;
for(var i=0;i<kRLnN.length;i++)
{
var vFUbk=kRLnN[i]
var d1=NiTKS(new_a1,new_b1,vFUbk.x,vFUbk.y)
if(multi<0)
{
if(d1<0) d=Math.max(d,-d1);
}
else
{
if(d1>0) d=Math.max(d,d1);
}
}
return d;
}
function paaMN(o1,o2)
{
if(o1<o2) return-1
if(o1>o2) return 1
return 0
}
function RwCaB(c,lx,ly,bg1)
{
var fill_obj=false;
var ScbEN=false;
var WGTrj=false;
var kRLnN=false
if(bg1.substring(0,1)=="(")
{
bg1=bg1.substring(1);
bg1=bg1.substring(0,bg1.length-1)
var wjoNI=bg1.split(";");
var dvKhH=new Point(parseFloat(wjoNI[0]),parseFloat(wjoNI[1]));
var FmlJe=new Point(parseFloat(wjoNI[2]),parseFloat(wjoNI[3]));
ScbEN=dvKhH.clone()
WGTrj=FmlJe.clone()
var col1=wjoNI[4];
var col2=wjoNI[5];
var grad=c.createLinearGradient(ScbEN.x,ScbEN.y,WGTrj.x,WGTrj.y);
if(isMSIE())
{
ScbEN=dvKhH.clone()
WGTrj=FmlJe.clone() 
var kTdXh=0;
var aYKGC=1;
{
kRLnN=[{x:0,y:0},{x:lx,y:0},{x:lx,y:ly},{x:0,y:ly}]
var d1=0;
var d2=0;
var a=(WGTrj.y-ScbEN.y)/(WGTrj.x-ScbEN.x);
var b=ScbEN.y-a*ScbEN.x;
var diff=1;
if(a==Infinity)
{
d1=(ScbEN.y)
d2=(ly-WGTrj.y)
}
else
if(a==0)
{
d1=(ScbEN.x)
d2=(lx-WGTrj.x)
}
else
{
var new_a1=-1/a;
var new_b1=ScbEN.y-new_a1*ScbEN.x;
d1=QGCaJ(new_a1,new_b1,kRLnN,-1)
var new_b2=WGTrj.y-new_a1*WGTrj.x;
d2=QGCaJ(new_a1,new_b2,kRLnN,1)
if(new_a1<0)diff=-1;
}
var d=Math.sqrt(Math.pow(WGTrj.x-ScbEN.x,2)+Math.pow(WGTrj.y-ScbEN.y,2))
var total=(d1+d+d2)
kTdXh=d1/total;
aYKGC=(d1+d)/total;
var pt_prod0=new Point(WGTrj.x-ScbEN.x,WGTrj.y-ScbEN.y)
var pt_prod1=new Point(0,100)
var prod=(pt_prod0.x*pt_prod1.y-pt_prod1.x*pt_prod0.y);
if(prod*diff<0)
{
kTdXh=d2/total;
aYKGC=(d2+d)/total;
}
}
grad.addColorStop(kTdXh,col1);
grad.addColorStop(aYKGC,col2);

}
else
{
grad.addColorStop(0,col1);
grad.addColorStop(1,col2);
}
fill_obj=grad
}
else
{
fill_obj=bg1;
}
return fill_obj;
}
function WA_bg3(id,lx,ly,arc,ftpAL,bord_col,bg,shadow,rot,tDckk,BwwKs,QquDh,rxBZT)
{


var theta=rot*2*Math.PI/360 
if(rxBZT==undefined)rxBZT=true;
if(QquDh==undefined)QquDh=1.0;
var el=document.getElementById(id)
if(!el)return
var c=el.getContext('2d');
var ciZAm=(el.width-lx)/2;
if(rxBZT) c.clearRect(0,0,el.width,el.height)
var x_rect0=ciZAm;
var y_rect0=ciZAm;
var bg1=bg[0]
var fill_obj=false;
var ScbEN=false;
var WGTrj=false;
var kRLnN=false
fill_obj=RwCaB(c,lx,ly,bg1) 
if(QquDh==undefined)QquDh=1.0;
var arc2=arc-ftpAL;
if(arc2<0)arc2=0
var canv2=false;
var c2=c;
if(shadow)
{
c2.translate(tDckk+6,BwwKs+6)
}
else
{
c2.translate(tDckk,BwwKs)
}
c2.fillStyle=fill_obj;
RvtCq(c2,ftpAL,ftpAL,lx-2*ftpAL,ly-2*ftpAL,arc2,false,rot)
c2.fill();
}
function WA_bg(id,lx,ly,arc,ftpAL,bord_col,bg,shadow,rot,QquDh,rxBZT)
{

if(rxBZT==undefined)rxBZT=true;
if(QquDh==undefined)QquDh=1.0;
var el=document.getElementById(id)
if(!el)return
var c=el.getContext('2d');
var ciZAm=(el.width-lx)/2;
if(rxBZT) c.clearRect(0,0,el.width,el.height) 

var fill_obj=RwCaB(c,lx,ly,bg[0])
if(bg.length>1)
{
var bg2=bg[1]
var img=new Image();
img.onload=function()
{
var ptrn=c.createPattern(img,'repeat');
c.fillStyle=ptrn;
c.beginPath()
hqdZS(c,el,lx,ly,arc,ftpAL,bord_col,ptrn,shadow,rot,QquDh)
}
img.src=bg2;
}
else
{
hqdZS(c,el,lx,ly,arc,ftpAL,bord_col,fill_obj,shadow,rot,QquDh)
}
}
function hqdZS(c,el,lx,ly,arc,ftpAL,bord_col,fill_obj,shadow,rot,QquDh)
{
if(QquDh==undefined)QquDh=1.0;
var arc2=arc-ftpAL;
if(arc2<0)arc2=0
var ciZAm=(el.width-lx)/2;
var x_rect0=ciZAm;
var y_rect0=ciZAm;
var canv2=false;
var c2=c;
c.globalAlpha=QquDh
if(IGgRj()==true)
{
canv2=LqTYe(lx,ly);
c2=canv2.getContext('2d');
c2.globalAlpha=QquDh
}
else
{
c2.translate(ciZAm,ciZAm)
if(shadow) grvZp(c,0,0,lx,ly,arc,false,rot)
}
if(ftpAL>0)
{
c2.fillStyle=bord_col;
VkfuF(c2,0,0,lx,ly,arc)
CjFjX(c2,ftpAL,ftpAL,lx-2*ftpAL,ly-2*ftpAL,arc2,true)
c2.fill()
}
c2.fillStyle=fill_obj;
VkfuF(c2,ftpAL,ftpAL,lx-2*ftpAL,ly-2*ftpAL,arc2)
c2.fill();
if(IGgRj()==true)
{
if(shadow) Pnalg(c,rot)
c.drawImage(canv2,ciZAm,ciZAm);
}
else
{
c2.translate(-ciZAm,-ciZAm)
}
}
function WA_div_offset(id,x,y)
{
if(isMSIE())
{
var el=document.getElementById(id)
if(el.filters)
{
el.style.left=""+x+"px";el.style.top=""+y+"px";
}
}
}


function Size(lx,ly)
{
this.width=lx;this.height=ly;
this.clone=function(){return new Size(this.width,this.height)}
this.greaterThan=function(LKaer){return(this.width>LKaer.width)&&(this.height>LKaer.height)}
this.scale=function(dACPs,jnSBt)
{
if(!jnSBt)jnSBt=false
var hIqdM=this;
var ecDxo=hIqdM.width
var XIebo=hIqdM.height
var p1=ecDxo*dACPs.height;
var p2=dACPs.width*XIebo;
var r1=ecDxo/XIebo;
var r2=XIebo/ecDxo;
var newSize1=new Size(dACPs.height*r1,dACPs.height);
var newSize2=new Size(dACPs.width,dACPs.width*r2);
if(p2>p1)
{
if((jnSBt==true)||((newSize1.width<=hIqdM.width)&&(newSize1.height<=hIqdM.height)))
{
hIqdM.width=Math.round(newSize1.width);
hIqdM.height=Math.round(newSize1.height);
}
}
else
{
if((jnSBt==true)||((newSize2.width<=hIqdM.width)&&(newSize2.height<=hIqdM.height)))
{
hIqdM.width=Math.round(newSize2.width);
hIqdM.height=Math.round(newSize2.height);
}
}
this.width=hIqdM.width;
this.height=hIqdM.height;
return true;
}
}
function Point(p_x,p_y){this.x=p_x;this.y=p_y;
this.translate=function(HWGXh,mCpSI){this.x+=HWGXh;this.y+=mCpSI;}
this.clone=function(){return new Point(this.x,this.y)}
}
function Rect(p_x,p_y,lx,ly)
{
this.x=p_x;this.y=p_y;this.width=lx;this.height=ly;
this.clone=function(){return new Rect(this.x,this.y,this.width,this.height)}
this.equals=function(jcrHh){return(this.x==jcrHh.x)&&(this.y==jcrHh.y)&&(this.width==jcrHh.width)&&(this.height==jcrHh.height);}
this.copy=function(jcrHh){this.x=jcrHh.x;this.y=jcrHh.y;this.width=jcrHh.width;this.height=jcrHh.height;}
this.translate=function(HWGXh,mCpSI){this.x+=HWGXh;this.y+=mCpSI;}
this.isValid=function(){return(this.width>0)&&(this.height>0);}
}
function html_getLayer(jcrHh)
{
if(typeof(jcrHh)=="string")return document.getElementById(jcrHh);
return jcrHh;
}
function html_SetPosition(jcrHh,HWGXh,mCpSI){
jcrHh=html_getLayer(jcrHh);
jcrHh.style.left=HWGXh+"px";jcrHh.style.top=mCpSI+"px";
}
function html_SetSize(vCuwB,gmpKc,pbaCN){
jcrHh=html_getLayer(vCuwB);
jcrHh.style.width=gmpKc+"px";jcrHh.style.height=pbaCN+"px";
}
function html_SetRect(jcrHh,oZDtg){html_SetGeometry(jcrHh,oZDtg.x,oZDtg.y,oZDtg.width,oZDtg.height);}
function html_SetGeometry(jcrHh,HWGXh,mCpSI,gmpKc,pbaCN){html_SetPosition(jcrHh,HWGXh,mCpSI);html_SetSize(jcrHh,gmpKc,pbaCN);}
function html_SetVisibility(jcrHh,GaZKo){jcrHh=html_getLayer(jcrHh);jcrHh.style.visibility=(GaZKo)?"visible":"hidden";}
function html_SetDisplay(jcrHh,GaZKo){jcrHh=html_getLayer(jcrHh);jcrHh.style.display=(GaZKo)?"block":"none";}
function html_SetCanvasSize(jcrHh,gmpKc,pbaCN){jcrHh=html_getLayer(jcrHh);jcrHh.width=gmpKc;jcrHh.height=pbaCN;}
function html_writeContent(jcrHh,LKaer){jcrHh=html_getLayer(jcrHh);jcrHh.innerHTML=LKaer;}
function html_SetOpacity(jcrHh,JeFmc)
{
jcrHh=html_getLayer(jcrHh);
jcrHh.style['opacity']=JeFmc;
jcrHh.style['-moz-opacity']=JeFmc;
jcrHh.style.filter=(JeFmc==1)?'':'alpha(opacity='+(JeFmc*100)+')';
}
var Yvdii=[
{acc:"e",l:["é","è","ë"]},{acc:"a",l:["à","ä","â"]},{acc:"u",l:["ü","û"]},{acc:"c",l:["ç"]},{acc:"o",l:["ö","ô"]}
];
function removeAccentsFromString(s)
{
var res=s.toLowerCase();
for(var i=0;i<Yvdii.length;i++)
{
var array2=Yvdii[i].l;
for(var i2=0;i2<array2.length;i2++)
{
var reg=new RegExp(array2[i2],"g");
res=res.replace(reg,Yvdii[i].acc)
}
}
return res;
}
function trimString(str)
{
return str.replace(/^\s*|\s*$/g,"");
}
function IsNumeric(eZdNq)
{
var GjWVF="0123456789.";var KRCgo=true;var WiHAS;
for(Eoigb=0;Eoigb<eZdNq.length&&KRCgo==true;Eoigb++){WiHAS=eZdNq.charAt(Eoigb);if(GjWVF.indexOf(WiHAS)==-1) KRCgo=false;}
return KRCgo;
}
function getWindowScroll()
{
var x=0;var y=0;
if(typeof(window.pageYOffset)=='number'){
x=window.pageXOffset;y=window.pageYOffset;
}else if(document.body&&(document.body.scrollLeft||document.body.scrollTop)){
x=document.body.scrollLeft;y=document.body.scrollTop;
}else if(document.documentElement&&(document.documentElement.scrollLeft||document.documentElement.scrollTop)){
x=document.documentElement.scrollLeft;y=document.documentElement.scrollTop;
}
return new Point(x,y);
}
function getWindowSize()
{
var lx=0;var ly=0;;
if(isMSIE())
{
lx=document.documentElement.clientWidth;ly=document.documentElement.clientHeight;
if((lx==0)&&(ly==0))
{
if(document.body&&(document.body.clientWidth)){
lx=document.body.clientWidth;ly=document.body.clientHeight;
}
}
}
else
if(typeof(window.innerWidth)=='number')
{
lx=window.innerWidth;
if(document.documentElement.clientWidth>0)lx=document.documentElement.clientWidth
ly=window.innerHeight;
if(document.documentElement.clientHeight>0)ly=document.documentElement.clientHeight
}
if(isIPhone())
if(typeof(window.innerWidth)=='number')
{
lx=window.innerWidth;ly=window.innerHeight;
}
return new Size(lx,ly);
}
function getWindowFullSize()
{
var lx=0;var ly=0;;
if(isMSIE())
{
lx=document.documentElement.clientWidth;ly=document.documentElement.clientHeight;
if((lx==0)&&(ly==0))
{
if(document.body&&(document.body.clientWidth)){
lx=document.body.clientWidth;ly=document.body.clientHeight;
}
}
}
else
if(typeof(window.innerWidth)=='number'){
lx=window.innerWidth;
if(document.documentElement.clientWidth>0)lx=document.documentElement.clientWidth
ly=window.innerHeight;
if(document.documentElement.clientHeight>0)ly=document.documentElement.clientHeight
}
return new Size(lx,ly);
}
function urlSuffixe(foBYF)
{
var ITLwH=foBYF*60;
var IIcTb=new Date();
var qasjR=0;
qasjR+=IIcTb.getYear()*12*31*24*60*60;
qasjR+=IIcTb.getMonth()*31*24*60*60;
qasjR+=IIcTb.getDate()*24*60*60;
qasjR+=IIcTb.getHours()*60*60;
qasjR+=IIcTb.getMinutes()*60;
qasjR+=IIcTb.getSeconds();
if(ITLwH!=0)
{
qasjR=Math.floor(qasjR/ITLwH)*ITLwH
}
return "-"+qasjR;
}
function html_findPos(obj)
{
var JeFmc=GoViZ(obj)
return new Point(JeFmc[0],JeFmc[1])
}
function GoViZ(obj)
{
var curleft=curtop=0;
if(obj.offsetParent)
{
do
{
curleft+=obj.offsetLeft;curtop+=obj.offsetTop;
}while(obj=obj.offsetParent);
}
return [curleft,curtop];
}
function Wa_search_input(AGESI,gmpKc,pbaCN)
{
document.write("<input id='"+AGESI+"' type=search results=0 placeholder='' style='width:"+gmpKc+"px;height:"+pbaCN+"px;'>")
}
function gJEoE()
{
var MTLoF=document.getElementsByTagName("A");
for(var Eoigb=0;Eoigb<MTLoF.length;Eoigb++)
{
var jcrHh=MTLoF[Eoigb];
if(jcrHh.onmouseover)jcrHh.onmouseover=null;
if(jcrHh.onmouseout)jcrHh.onmouseout=null;
}
}
function Ywibi()
{
for(var xtCoc in document.wa_global_list_element)
{
var mRYUY=document.wa_global_list_element[xtCoc]
var UPGeu=document.getElementById(mRYUY)
UPGeu.onclick=function()
{
WA_focus(this)
}
}
}
function WA_declare(mRYUY)
{
if(!document.wa_global_list_element)
{
document.wa_global_list_element=new Array();;
}
document.wa_global_list_element.push(mRYUY)
}
function ddIGQ()
{
var iaHJB=window.location.search;
if(iaHJB.substr(0,1)=="?")iaHJB=iaHJB.substr(1);
if(iaHJB.length==0)return;
var dpujx=new Array();
var aEjMw=iaHJB.split("&");
for(var i=0;i<aEjMw.length;i++)
{
var exNsj=aEjMw[i].split("=");dpujx[exNsj[0]]=exNsj[1];
}
var LKaer_info=dpujx["crbst_info"];
if(!LKaer_info)return;
var uwgio=new Array();
uwgio.m_unid=LKaer_info;
uwgio.m_index_item=-1;
var QAuRB=LKaer_info.indexOf("-");
if(QAuRB!=-1)
{
uwgio.m_unid="wa-id-"+LKaer_info.substring(0,QAuRB);
uwgio.m_index_item=parseInt(LKaer_info.substring(QAuRB+1));
}
document.wa_global_query_info=uwgio;
}
function IS_onload_WA()
{

if(isMSIE8())
{
wa_timeout("IS_onload_ui()",0)
}
else
{
IS_onload_ui()
}
if(isIPhone())
{
gJEoE()
}
else
{
Ywibi()
}
ddIGQ();

IYJFq()
}
function IYJFq()
{
var IcXYr=0;
var NGEBR=document.webaca_banner_height;
if(document.webaca_page_is_centered)
{
var OXoLK=getWindowSize().width
var lELXo=document.webaca_width_page
if(OXoLK>lELXo)IcXYr=(OXoLK-lELXo)/2;
}
document.body.style.backgroundPosition=IcXYr+"px "+NGEBR+"px";
}


function WA_loadMessages()
{
for(var k in CONST_WA_TR)
{
var key=CONST_WA_TR[k]
Translator.m_tr[key[0]]=key[1]
}
for(var n=0;n<CONST_WA_COUNTRIES.codes.length;n++)
{
var baJPM=CONST_WA_COUNTRIES.codes[n]
var SqJrv=CONST_WA_COUNTRIES.labels[n]
Translator.m_countries[baJPM]=SqJrv
}
}
function Translator()
{
}
Translator.m_tr=new Array();
Translator.m_countries=new Array();
Translator.tr=function(k)
{
try
{
var v=Translator.m_tr[k]
if((v==undefined)||(v.length==0))return "@"+k;
v=v.replace(/\n/g,"<br>")
return v
}
catch(e){}
return k;
}
Translator.country=function(k)
{
try
{
var v=Translator.m_countries[k]
if((v==undefined)||(v.length==0))return "@"+k;
return v
}
catch(e){}
return k;
}
function WA_GraphicElement(mRYUY,oOnCn,bePLT)
{
this.mRYUY=mRYUY;
this.oOnCn=oOnCn
this.bePLT=bePLT;
this.PdKEc=this.mRYUY+"-div"
this.hCKnl=this.mRYUY+"-canvas"
this.jJguI=new Rect(0,0,0,0)
this.ttvpc=false;
this.CgDZJ=false;
this.ciZAm=6;
this.kInSr=false;
this.qHrpM=false;
this.ElFRV=false;
this.TdUWo="";
this.shadow=function()
{
return this.bePLT;
}
this.marginShadow=function()
{
return this.ciZAm;
}
this.rect=function()
{
return this.jJguI;
}
this.canvasId=function()
{
return this.hCKnl;
}
this.divId=function()
{
return this.PdKEc;
}
this.opacity=function()
{
return this.ZdOPE;
}
this.img_clip=function()
{
return this.qHrpM;
}
this.img_src=function()
{
return this.kInSr;
}
this.toHtml=function()
{
var LKaer=""
LKaer+="<div id='"+this.PdKEc+"' style=\"";
LKaer+="position:absolute;";
if(this.TdUWo.length>0)
{
LKaer+="cursor:pointer;";
}
if(this.rect.x>0)LKaer+="left:"+this.rect.x+"px;";
if(this.rect.y>0)LKaer+="top:"+this.rect.y+"px;";
if(this.rect.width>0)LKaer+="width:"+this.rect.width+"px;";
if(this.rect.height>0)LKaer+="height:"+this.rect.height+"px;";
if(oOnCn)
LKaer+="z-index:"+oOnCn+";";
LKaer+="\" ";
if(this.TdUWo.length>0)
{
LKaer+="onclick=\""+this.TdUWo+"\" "
}
LKaer+=">";
if((this.rect.width>0)&&this.shadow())
{
LKaer+=html_canvas(this.hCKnl,this.rect.width+2*this.ciZAm,this.rect.height+2*this.ciZAm)+"</div>";
}
else
{
LKaer+=html_canvas(this.hCKnl,0,0)+"</div>";
}
return LKaer
}
this.setImage=function(IgPix,MTZbN,MwOsF)
{
if(MwOsF==undefined)MwOsF=0;
if((IgPix==this.kInSr)&&(this.qHrpM&&this.qHrpM.equals(MTZbN))&&(this.ElFRV==MwOsF))
{
return;
}
this.ElFRV=MwOsF;
this.kInSr=IgPix;
this.qHrpM=MTZbN;
this.RTMJA()
}
this.registerDynamicCanvas=function()
{
registerDynamicCanvas(this.hCKnl);
this.CgDZJ=true;
this.setRect(this.jJguI.x,this.jJguI.y,this.jJguI.width,this.jJguI.height)
}
this.RTMJA=function()
{
if((this.jJguI.width>0)&&(this.jJguI.height>0))
{
this.draw()
}
this.ttvpc=true
};
this.draw=function(){};
this.setPosition=function(HWGXh,mCpSI)
{
this.jJguI.x=HWGXh;this.jJguI.y=mCpSI;
if(this.CgDZJ==false)return
html_SetPosition(this.PdKEc,this.jJguI.x,this.jJguI.y)
if(this.ttvpc==false)
{
this.RTMJA()
}
}
this.setOnClick=function(LKaer)
{
this.TdUWo=LKaer
}
this.width=function(){return this.jJguI.width;}
this.height=function(){return this.jJguI.height;}
this.setSize=function(gmpKc,pbaCN)
{
this.jJguI.width=gmpKc;this.jJguI.height=pbaCN;
var qxbaT=gmpKc
var OSwQB=pbaCN
if(this.bePLT)
{
qxbaT+=2*this.ciZAm
OSwQB+=2*this.ciZAm
}
if(this.CgDZJ==false)return
html_SetSize(this.PdKEc,qxbaT,OSwQB)
html_SetCanvasSize(this.hCKnl,gmpKc,pbaCN)
this.RTMJA()
}
this.setRect=function(HWGXh,mCpSI,gmpKc,pbaCN)
{
this.jJguI.x=HWGXh;this.jJguI.y=mCpSI;this.jJguI.width=gmpKc;this.jJguI.height=pbaCN;
var qxbaT=gmpKc
var OSwQB=pbaCN
var dlaGX=HWGXh
var LQfvN=mCpSI
if(this.bePLT)
{
qxbaT+=2*this.ciZAm
OSwQB+=2*this.ciZAm
dlaGX-=this.ciZAm
LQfvN-=this.ciZAm
}
if(this.CgDZJ==false)return 
html_SetGeometry(this.PdKEc,dlaGX,LQfvN,qxbaT,OSwQB);
html_SetCanvasSize(this.hCKnl,qxbaT,OSwQB)
try{this.RTMJA()}catch(e){
alert(e.message)
}
}
this.setVisible=function(GaZKo)
{
if(this.CgDZJ==false)return
html_SetVisibility(this.PdKEc,GaZKo)
}
this.setOpacity=function(JeFmc)
{
this.ZdOPE=JeFmc 
if(this.CgDZJ==false)return
this.RTMJA()
}
}

function is_onresize()
{
WA_Dialog.resizeUI()
try
{
if(WA_PhotoAlbum_resizeUI)WA_PhotoAlbum_resizeUI()
}
catch(e){}
IYJFq()
}
function is_onscroll()
{
centerFullPageContainer();
}
function registerDynamicCanvas(id)
{
if(isMSIE())
G_vmlCanvasManager.initElement(document.getElementById(id));
}
function WA_openDialogAction(xtCoc)
{
var fCvao=WA_Dialog.KDiAJ;
if(xtCoc==-1){fCvao.closeWin();return;}
var rduVi=fCvao.gukGw(xtCoc);
if(rduVi[5])
{
rduVi[4].call(rduVi[6],rduVi[5])
}
else
{
rduVi[4](rduVi[5]);
}
}
function WA_Dialog(GaZKo_close_button)
{
this.bbBUr=0;
this.GhIqk=0;
this.dACPs_win_width=600;
this.dACPs_win_height=400;
this.aqGVJ=new Array();
this.RYMXj="wa-dialog-but-";
this.oXTIB=this.RYMXj+"div-";
this.VmSaC=this.RYMXj+"canvas-";
this.BUTTON_HEIGHT=22;
this.uPxWs=CONST_WA_GLOBAL_COLOR_THEME;
this.GaZKo_close_button=GaZKo_close_button;
this.DYRuJ=6;
this.bCQuN=function()
{
if(this.GaZKo_close_button==undefined)this.GaZKo_close_button=true;
this.VBlbf();
}
this.resetButtons=function()
{
this.VBlbf();
}
this.idealHeight=function()
{
return this.HMrRp
}
this.displayWindowWithAutoResize=function(whfJf,cgKiD)
{
this.RDcxi=false
this.HMrRp=whfJf
this.AYOgn=cgKiD 
this.resetButtons();
cgKiD.call(this)
var l=document.getElementById('wa-dialog-content');
if(this.RDcxi==false)
if(l.scrollHeight>200)
{
this.RDcxi=true
this.HMrRp=l.scrollHeight+150
this.resetButtons();
cgKiD.call(this)
}
}
this.initializeWindow=function(dACPs_lx,dACPs_ly)
{
if(WA_Dialog.KDiAJ)WA_Dialog.KDiAJ.closeWin()
WA_Dialog.KDiAJ=this;
this.dACPs_win_width=dACPs_lx;
this.dACPs_win_height=dACPs_ly;
this.YOgxl()
}
this.progress=function()
{
this.initializeWindow(300,100) 
this.writeContent("<div width=100% align=center><img src='wa_loading.gif'></div>")
}
this.spUBm=function(mess)
{


this.initializeWindow(450,130)
var s=""
s+="<table border=0 style='width:100%;'><tr>";
s+="<td align=center style='"+this.cssText1()+"'>"
s+=mess
s+="</td></tr></table>"
this.writeContent(s)
}
this.addButton=function(SqJrv,EqTlV,ikRAa,SiWVE)
{
var kcsMf=this.aqGVJ.length
if(this.GaZKo_close_button==true)
{
kcsMf--;
}
var gmpKc=Math.max((SqJrv.length*8)*1.2+30,80)
var hIqdM=new Size(gmpKc,this.BUTTON_HEIGHT);
this.bvcZH("action_"+kcsMf,kcsMf,SqJrv,EqTlV,hIqdM,ikRAa,SiWVE)
}
this.VBlbf=function()
{
this.aqGVJ=new Array();
if(this.GaZKo_close_button)
{

var hIqdM=new Size(50,20);
this.bvcZH("close",-1,"X",null,hIqdM)
}
}
this.bvcZH=function(LMFIa,kcsMf,SqJrv,EqTlV,hIqdM,ikRAa,SiWVE)
{
var rduVi=[LMFIa,hIqdM,kcsMf,SqJrv,EqTlV,ikRAa,SiWVE];
this.aqGVJ.push(rduVi);
}
this.writeContent=function(s)
{
var l=document.getElementById('wa-dialog-content');
l.innerHTML=s
}
this.gukGw=function(LMFIa)
{
for(var xtCoc=0;xtCoc<this.aqGVJ.length;xtCoc++)
{
var rduVi=this.aqGVJ[xtCoc];
if((rduVi[0]==LMFIa)||(rduVi[2]+""==LMFIa+""))
return rduVi;
}
return undefined;
}
this.fguwP=function(LMFIa)
{
var rduVi=this.gukGw(LMFIa);
return rduVi[1]
}
this.getColorTheme=function(xtCoc)
{
return this.uPxWs[xtCoc];
}
this.SpXMh=function(Ywrvc)
{
var rduVi=this.gukGw(Ywrvc);
var LMFIa=rduVi[0];
var kcsMf=rduVi[2];
var RHSZD_text=this.uPxWs[4]
var RHSZD_bg=this.uPxWs[5]
var RHSZD_glow=this.uPxWs[7]
if(kcsMf==-1)
{
RHSZD_text=this.uPxWs[10]
RHSZD_bg=this.uPxWs[8]
RHSZD_glow=this.uPxWs[11]
}
var HUCkQ=this.oXTIB+LMFIa;
var cRCVm=this.VmSaC+LMFIa;
var hIqdM=this.fguwP(Ywrvc)
var bRUZv=0;
var s=""
s+="<a href='javascript:WA_openDialogAction("+Ywrvc+")' ";
var RHSZD=new RGBColor(RHSZD_bg);
var XRiNg=RHSZD.toHsl();
RHSZD.fromHsl(XRiNg[0],XRiNg[1],XRiNg[2]+0.2)
RHSZD_bg=RHSZD.toRGB();
var aBsaL_glow=new RGBColor(RHSZD_glow);
var OcuCA=aBsaL_glow.toHsl();
aBsaL_glow.fromHsl(OcuCA[0],OcuCA[1],OcuCA[2]+0.2)
RHSZD_glow=aBsaL_glow.toRGB();
s+="onmouseover=\"WA_but_over('"+cRCVm+"','"+RHSZD_bg+"','"+RHSZD_glow+"')"+"\" ";
s+="onmouseout=\""+"WA_but_out('"+cRCVm+"')"+"\" ";
s+="style='text-decoration:none;'>";
s+="<div id='"+this.oXTIB+LMFIa+"' style='position:absolute;cursor:pointer;left:0px;top:0px;height:"+hIqdM.height+"px;width:"+hIqdM.width+"px;' >";
s+="<div style='position:absolute;left:"+(-bRUZv)+"px;top:"+(-bRUZv)+"px;height:"+hIqdM.height+"px;'>"
s+="<canvas id='"+this.VmSaC+LMFIa+"' width="+(hIqdM.width+bRUZv*2)+" height="+(hIqdM.height+bRUZv*2)+" ></canvas>";
s+="</div>"
s+="<div align=center style='position:absolute;left:0px;top:"+(0)+"px;vertical-align:middle;width:100%;height:"+(hIqdM.height)+"px;line-height:"+(hIqdM.height)+"px;font-family:arial;font-size:13px;font-weight:bold;color:"+RHSZD_text+"'>"
s+=rduVi[3];
s+="</div>"
s+="</div>"
s+="</a>"
return s;
}
this.ituhf=function(LMFIa)
{
var rduVi=this.gukGw(LMFIa);
var kcsMf=rduVi[2];
var RHSZD_bg=this.uPxWs[5]
var RHSZD_glow=this.uPxWs[7]
var RHSZD_text=this.uPxWs[3]
if(kcsMf==-1)
{
RHSZD_bg=this.uPxWs[8]
RHSZD_glow=this.uPxWs[11]
RHSZD_text=this.uPxWs[10]
}
var baJPM=this.VmSaC+LMFIa;
registerDynamicCanvas(baJPM);
var hIqdM=this.fguwP(LMFIa);
var fXQtY=hIqdM.height*0.25;
var iocMI=true;
fXQtY=0;
iocMI=false;
var nbgqr=0;
var tNGmK=(hIqdM.width-2);
var pbaCN_circle_top=hIqdM.height*0.45;

var wjoNI_top=[1,1,tNGmK,pbaCN_circle_top,nbgqr];
var gmpKc_circle_bottom=hIqdM.width-2;
var pbaCN_circle_bottom=hIqdM.height*0.45;
var OuTVr=RHSZD_glow;
var rkaDY=RHSZD_glow;
var xecEr=0;

var wjoNI_bottom=[(hIqdM.width-gmpKc_circle_bottom)/2,hIqdM.height-pbaCN_circle_bottom-1,gmpKc_circle_bottom,pbaCN_circle_bottom,xecEr,OuTVr,rkaDY];
WA_but(baJPM,0,hIqdM.width,hIqdM.height,fXQtY,RHSZD_bg,wjoNI_top,wjoNI_bottom,iocMI,0)
}
this.ZfUmd=function(LMFIa)
{
var rduVi=this.gukGw(LMFIa)
if(rduVi)
{
var baJPM=this.oXTIB+rduVi[0];
return document.getElementById(baJPM);
}
return undefined
}
this.YOgxl=function()
{
var l=document.getElementById('wa-dialog-container');
l.style.display="block" 

var s="";
var Uvoll=document.webaca_banner_height
s+="<div  style='position:absolute;left:0px;top:"+Uvoll+"px;width:100%;height:100%;background-color:#000000;filter:alpha(opacity=50);-moz-opacity:0.5;opacity:0.5;'></div>"
s+="<div id='wa-dialog-main' style='position:absolute;left:0px;top:"+Uvoll+"px;width:100px;height:100px;' >"
s+="<div style='position:absolute;left:0px;top:0px;width:100px;height:100px;' ><canvas id='wa-dialog1' width=100 height=100 ></canvas></div>"
for(var Eoigb in this.aqGVJ)
{
s+=this.SpXMh(this.aqGVJ[Eoigb][2]);
}
s+="<div id='wa-dialog-content' style='position:absolute;left:0px;top:0px;width:100px;" 
s+="overflow:auto;' ></div>"
s+="</div>"
l.innerHTML=s 
WA_exec_callback_opera_compliant(this,this.eCavd)
}
this.eCavd=function()
{
registerDynamicCanvas('wa-dialog1');
for(var Eoigb in this.aqGVJ)
{
this.ituhf(this.aqGVJ[Eoigb][0])
}
this.hFXBI()
}
this.intern_closeWin=function()
{
var l=document.getElementById('wa-dialog-container');
l.style.display="none"
WA_Dialog.KDiAJ=false
}
this.closeWin=function()
{
this.intern_closeWin()
}
this.cssText1=function()
{
return "font-family:Arial;font-size:15px;color:"+this.uPxWs[3]+";";
}
this.onCustomKeypress=function(dlWxb)
{
if((this.aqGVJ.length==1)&&(dlWxb==13))
{
this.closeWin()
return true;
}
return false;
}
this.onkeypress=function(dlWxb)
{
return this.onCustomKeypress(dlWxb)
}
this.onkeydown=function(dlWxb)
{
if(dlWxb==27)
{
this.closeWin()
return true;
}
return this.onCustomKeypress(dlWxb) 
}
this.customUpdate=function(){}
this.hFXBI=function()
{
var gmpKc_page=document.webaca_width_page;
var pbaCN_page=document.webaca_height_page;
var aLkCL=getWindowSize().width
var pbaCN_window=getWindowSize().height 

this.bbBUr=Math.min(aLkCL*0.9,this.dACPs_win_width)
this.GhIqk=Math.min(pbaCN_window*0.9,this.dACPs_win_height)
var eKbwk=document.getElementById('wa-dialog1');
eKbwk.width=this.bbBUr+10
eKbwk.height=this.GhIqk+10
var HWGXh=getWindowScroll().x+(aLkCL-eKbwk.width)/2
var mCpSI=getWindowScroll().y+(pbaCN_window-eKbwk.height)/2
HWGXh=(aLkCL-eKbwk.width)/2
mCpSI=(pbaCN_window-eKbwk.height)/2
HWGXh=Math.max(0,HWGXh)
mCpSI=Math.max(0,mCpSI) 
var RPxMJ=document.getElementById('wa-dialog-main');
html_SetGeometry('wa-dialog-main',HWGXh,mCpSI,eKbwk.width,eKbwk.height);
var JmefV_bg="(0;0;0;"+this.GhIqk*0.25+";"+this.uPxWs[1]+";"+this.uPxWs[2]+")";
var SmiRo=4;
WA_bg('wa-dialog1',this.bbBUr,this.GhIqk,SmiRo,3,this.uPxWs[0],[JmefV_bg],true,0)
var vIFsE=10;
var SdlOY=this.ZfUmd(-1)
if(SdlOY)
{
var FbuwA_close=this.fguwP(-1) 
var marginClose=3
html_SetPosition(SdlOY,this.bbBUr-FbuwA_close.width-marginClose+this.DYRuJ-1,marginClose+this.DYRuJ-1)
}
var NoSYP_buttons=this.aqGVJ.length;
if(this.GaZKo_close_button==true)
{
NoSYP_buttons--;
}
var BUxau=10;
var NYVkb=0;
for(var Eoigb=0;Eoigb<NoSYP_buttons;Eoigb++)
{
if(Eoigb>0) NYVkb+=BUxau;
var FbuwA=this.fguwP(Eoigb);
NYVkb+=FbuwA.width;
}
var NIwvP=(this.bbBUr-NYVkb)/2
for(var Eoigb=0;Eoigb<NoSYP_buttons;Eoigb++)
{
if(Eoigb>0) NIwvP+=BUxau;
var uBVAC=this.ZfUmd(Eoigb);
var FbuwA=this.fguwP(Eoigb);
html_SetPosition(uBVAC,NIwvP+this.DYRuJ,+this.DYRuJ+this.GhIqk-FbuwA.height-2*vIFsE)
NIwvP+=FbuwA.width;
}
var pbaCN_top=45;
var pbaCN_bottom=this.BUTTON_HEIGHT+2*vIFsE;
if(NoSYP_buttons==0)
{
pbaCN_bottom=0;
}
var pbaCN_content=(this.GhIqk-pbaCN_top-pbaCN_bottom)-vIFsE
var AwoRE=document.getElementById('wa-dialog-content');
var fCvao_content=Math.round(this.bbBUr-2*vIFsE)
var lFhkH=Math.round(pbaCN_content)
this.m_content_lx=fCvao_content
this.m_content_ly=lFhkH
html_SetGeometry('wa-dialog-content',Math.round(5+(this.bbBUr-fCvao_content)/2),Math.round(5+pbaCN_top+(pbaCN_content-lFhkH)/2),fCvao_content,lFhkH);
this.customUpdate() 
var OhYLU=document.getElementById('wa-dialog-container');
oafsI=getWindowFullSize().width
pbaCN_full_client=getWindowFullSize().height
html_SetSize('wa-dialog-container',oafsI,pbaCN_full_client);
centerFullPageContainer();
}
this.bCQuN();
}
function WA_exec_callback_opera_compliant(ikRAa,DIkql)
{
if(/opera/i.test(navigator.userAgent))
WA_exec_delayedCallback(ikRAa,DIkql)
else
DIkql.call(ikRAa)
}
function WA_exec_delayedCallback(ikRAa,DIkql)
{
wa_timeout(Delegate.create(ikRAa,DIkql),0);
}
WA_Dialog.getCurrent=function()
{
return WA_Dialog.KDiAJ;
}
WA_Dialog.KDiAJ=false;
WA_Dialog.resizeUI=function()
{
if(WA_Dialog.KDiAJ)
{
WA_Dialog.KDiAJ.hFXBI()
}
}
WA_Dialog.alert=function(s)
{
var w=new WA_Dialog();
w.spUBm(s)
}
WA_Dialog.progress=function()
{
var w=new WA_Dialog(false);
w.progress()
}
function centerFullPageContainer()
{
var gmpKc_page=document.webaca_width_page;
var pbaCN_page=document.webaca_height_page;
var OhYLU=document.getElementById('wa-dialog-container');
oafsI=getWindowSize().width
pbaCN_full_client=getWindowSize().height
var mCpSI_bg=getWindowScroll().y;
mCpSI_bg=Math.min(mCpSI_bg,pbaCN_page-pbaCN_full_client+1)
mCpSI_bg=Math.max(mCpSI_bg,0)
var mxdrn=getWindowScroll().x;
mxdrn=Math.min(mxdrn,gmpKc_page-oafsI+1)
mxdrn=Math.max(mxdrn,0) 
html_SetPosition('wa-dialog-container',mxdrn,mCpSI_bg,oafsI,pbaCN_full_client);
}

function getXMLHttpRequest(fct_callback,SiWVE)
{
var http_request=false;
if(window.XMLHttpRequest){
http_request=new XMLHttpRequest();
if(http_request.overrideMimeType){
}
}else if(window.ActiveXObject){
try{http_request=new ActiveXObject("Msxml2.XMLHTTP");
}catch(e){
try{http_request=new ActiveXObject("Microsoft.XMLHTTP");}catch(e){}}
}
if(!http_request)
{
alert('Cannot create XMLHTTP instance');
return false;
}
http_request.qaDVT=fct_callback
http_request.SiWVE=SiWVE
http_request.onreadystatechange=function()
{
var req=this 
if(req.readyState==4)
{
this.qaDVT(true,this,this.SiWVE) 

}
};
return http_request;
}
function makePOSTRequest(url,parameters,callback,jTYmB)
{
var http_request=getXMLHttpRequest(callback,jTYmB);
http_request.open('POST',url,true);
http_request.setRequestHeader("Content-type","application/x-www-form-urlencoded");
http_request.setRequestHeader("Content-length",parameters.length);
http_request.setRequestHeader("Connection","close");
http_request.send(parameters);
}
function intern_WA_responseForm(PodYr,VUmuN,SiWVE)
{
var result=VUmuN.responseText
var n=result.indexOf("BEGIN_IS_PHP=1")
if(n==-1)
{
WA_Dialog.alert(Translator.tr("Error:No php on server"));
}
else
{
n=result.indexOf("mail_sended=1")
if(n>-1)
{
var PWxLx=SiWVE[0] 
WA_Dialog.alert(Translator.tr("Success:Mail sended"));
var form=document.getElementById(PWxLx);
form.reset()
}
else
{
var TgnhY="error_string="
n=result.indexOf(TgnhY)
if(n>-1)
{
result=result.substring(n+TgnhY.length)
n=result.indexOf("END_IS_PHP")
if(n>-1)
{
result=result.substring(0,n)
}
WA_Dialog.alert(result);
}
else
{
WA_Dialog.alert("*error send mail!");
}
}
}
}
function WA_form_action(id_form,action,b_email_is_valid)
{
var form=document.getElementById(id_form);
var poststr=""
for(var i=0;i<form.elements.length;i++)
{
var el=form.elements[i];
el.style.backgroundColor="#ffffff"
if((el.value.length==0)&&(el.name.indexOf("_mandatory")>-1))
{
el.style.backgroundColor="#ff0000";el.focus();return;
}
var kMcWS=el.value
kMcWS=encodeURI(kMcWS)
kMcWS=kMcWS.replace(/&/g,escape("&")) 
poststr+=el.name.replace("_mandatory","")+"="+kMcWS+"&"
}
if(b_email_is_valid==false)
{
WA_Dialog.alert(Translator.tr("Email have to be filled in order to the form works correctly"));return;
}
if(document.webaca_is_preview)
{
WA_Dialog.alert(Translator.tr("Operation not allowed in preview mode"));return;
}
WA_Dialog.progress();
makePOSTRequest(action,poststr,intern_WA_responseForm,[id_form]);
}
function WA_form_submit(BUsTE)
{
var Jpsse=document.getElementById(BUsTE);
Jpsse.submit() 
}
function ODWhE(mRYUY,SiWVE)
{
var dlWxb=SiWVE[0]
if(dlWxb==13)
{
var BUsTE=mRYUY+"-form";
var Jpsse=document.getElementById(BUsTE);
for(var i=0;i<Jpsse.elements.length;i++)
{
var UPGeu=Jpsse.elements[i];
if((UPGeu.type=="textarea")&&(UPGeu.focused))return true;
}
WA_form_submit(BUsTE);
return false;
}
return true;
}
function WA_addFormDeclaration(mRYUY,FiwwR)
{
return WA_addHandler(mRYUY,"keypress",ODWhE)
}
function WA_form_bg(id,lx,ly,arc,ftpAL,bord_col,bg,shadow,MwOsF,NsBeZ)
{
WA_bg(id,lx,ly,arc,ftpAL,bord_col,bg,shadow,MwOsF,1.0,true) 
var SgLEO=NsBeZ.x;
var BtjMH=0;
var NGjqR=NsBeZ.cells
for(var n=0;n<NGjqR.length;n++)
{
var juLsO=NGjqR[n]
var arc2=0
pCbTT(id,SgLEO,BtjMH+juLsO.y,NsBeZ.w,juLsO.h,arc2,1,NsBeZ.border,[''],false,0,1.0,false)
pCbTT(id,SgLEO,BtjMH+juLsO.y,juLsO.w,juLsO.h,arc2,1,"rgba(0,0,0,0)",[NsBeZ.bg],false,0,1.0,false)
}
}
function WA_form_reset(id_form)
{
var form=document.getElementById(id_form);
form.reset() 
}
var BrowserDetect={
init:function(){
this.browser=this.searchString(this.dataBrowser)||"An unknown browser";
this.version=this.searchVersion(navigator.userAgent)||this.searchVersion(navigator.appVersion)||"an unknown version";
this.OS=this.searchString(this.dataOS)||"an unknown OS";
},searchString:function(data){
for(var i=0;i<data.length;i++){
var dataString=data[i].string;var dataProp=data[i].prop;
this.versionSearchString=data[i].versionSearch||data[i].identity;
if(dataString){
if(dataString.indexOf(data[i].subString)!=-1)
return data[i].identity;
}
else if(dataProp)
return data[i].identity;
}
},searchVersion:function(dataString){
var index=dataString.indexOf(this.versionSearchString);
if(index==-1) return;
return parseFloat(dataString.substring(index+this.versionSearchString.length+1));
},
dataBrowser:[
{string:navigator.userAgent,subString:"OmniWeb",versionSearch:"OmniWeb/",identity:"OmniWeb"},{string:navigator.vendor,subString:"Apple",identity:"Safari"},{prop:window.opera,identity:"Opera"},{string:navigator.vendor,subString:"iCab",identity:"iCab"},{string:navigator.vendor,subString:"KDE",identity:"Konqueror"},{string:navigator.userAgent,subString:"Firefox",identity:"Firefox"},{string:navigator.vendor,subString:"Camino",identity:"Camino"},{string:navigator.userAgent,subString:"Netscape",identity:"Netscape"},
{string:navigator.userAgent,subString:"MSIE",identity:"Explorer",versionSearch:"MSIE"},{string:navigator.userAgent,subString:"Gecko",identity:"Mozilla",versionSearch:"rv"},{string:navigator.userAgent,subString:"Mozilla",identity:"Netscape",versionSearch:"Mozilla"}
],dataOS:[
{string:navigator.platform,subString:"Win",identity:"Windows"},{string:navigator.platform,subString:"Mac",identity:"Mac"},{string:navigator.platform,subString:"Linux",identity:"Linux"}
]
};
BrowserDetect.init();
function RGBColor(xYsKH)
{
this.ok=false;this.a=1.0;
if(xYsKH.charAt(0)=='#'){xYsKH=xYsKH.substr(1);}
xYsKH=xYsKH.replace(/ /g,'');
xYsKH=xYsKH.toLowerCase();
var xZJsp=[
{re:/^rgba\((\d{1,3}),\s*(\d{1,3}),\s*(\d{1,3}),\s*(\d{1,2}\.*\d{0,2})\)$/,_process:function(bits){return [ parseInt(bits[1]),parseInt(bits[2]),parseInt(bits[3]),parseFloat(""+bits[4]) ];}},{re:/^rgb\((\d{1,3}),\s*(\d{1,3}),\s*(\d{1,3})\)$/,_process:function(bits){return [ parseInt(bits[1]),parseInt(bits[2]),parseInt(bits[3])];}},{re:/^(\w{2})(\w{2})(\w{2})(\w{2})$/,_process:function(bits){return [ parseInt(bits[1],16),parseInt(bits[2],16),parseInt(bits[3],16),Math.round(parseInt(bits[4],16)*100/255)/100 ];}},{re:/^(\w{2})(\w{2})(\w{2})$/,_process:function(bits){return [ parseInt(bits[1],16),parseInt(bits[2],16),parseInt(bits[3],16) ];}}
];
for(var i=0;i<xZJsp.length;i++){
var ZlqJT=xZJsp[i].re;
var euwTc=xZJsp[i]._process;
var pKvGr=ZlqJT.exec(xYsKH);
if(pKvGr){
var OvdxN=euwTc(pKvGr);
this.r=OvdxN[0];this.g=OvdxN[1];this.b=OvdxN[2];this.a=OvdxN[3];
this.ok=true;
}
}
this.r=(this.r<0||isNaN(this.r))?0:((this.r>255)?255:this.r);
this.g=(this.g<0||isNaN(this.g))?0:((this.g>255)?255:this.g);
this.b=(this.b<0||isNaN(this.b))?0:((this.b>255)?255:this.b);
this.a=(this.a>1||isNaN(this.a))?1:((this.a<0)?0:this.a);
this.toRGB=function()
{
if(this.a==1)return 'rgb('+this.r+', '+this.g+', '+this.b+')';
return 'rgba('+this.r+', '+this.g+', '+this.b+','+this.a+')';
}
this.toRGB_opaque=function()
{
return 'rgb('+this.r+', '+this.g+', '+this.b+')';
}
this.toHsl=function(){
var r=this.r;var g=this.g;var b=this.b;r/=255,g/=255,b/=255;
var max=Math.max(r,g,b),min=Math.min(r,g,b);
var h,s,l=(max+min)/2;
if(max==min){h=s=0;
}else{
var d=max-min;s=l>0.5?d/(2-max-min):d/(max+min);
switch(max){
case r:h=(g-b)/d+(g<b?6:0);break;
case g:h=(b-r)/d+2;break;
case b:h=(r-g)/d+4;break;
}
h/=6;
}
return [h,s,l];
}
this.kWEAj=function(p,q,t)
{
if(t<0) t+=1;if(t>1) t-=1;if(t<1/6) return p+(q-p)*6*t;if(t<1/2) return q;if(t<2/3) return p+(q-p)*(2/3-t)*6;
return p;
};
this.fromHsl=function(h,s,l){
if(l>1.0)l=1.0
var r,g,b;
if(s==0){r=g=b=l;
}else{
var q=l<0.5?l*(1+s):l+s-l*s;
var p=2*l-q;
r=this.kWEAj(p,q,h+1/3);g=this.kWEAj(p,q,h);b=this.kWEAj(p,q,h-1/3);
}
r=r*255;g=g*255;b=b*255;
r=Math.round(r);g=Math.round(g);b=Math.round(b);
if(r<0)r=-r;if(g<0)g=-g;if(b<0)b=-b
this.r=r;this.g=g;this.b=b;
};
}
function HbjsZ(bDcrO,SiWVE)
{
if(document.wa_global_handlers!=undefined)
{
var mRYUY=WA_focused_element()
if(mRYUY)
{
var EqTlV=document.wa_global_handlers[mRYUY+"-"+bDcrO]
if(EqTlV) return EqTlV([mRYUY],SiWVE)
}
}
return true;
}
function YTHkT(e)
{
if(window.event){return e.keyCode;}
else 
if(e.which) return  e.which;
return-1;
}
function WA_onkeypress(e)
{
var dlWxb=YTHkT(e);
if(WA_Dialog.KDiAJ)
{
if(WA_Dialog.KDiAJ.onkeypress(dlWxb))
{
return false;
}
}
return HbjsZ("keypress",[dlWxb]);
}
function WA_ondblclick(e)
{
return HbjsZ("dblclic",[""]);
}
function WA_onkeydown(e)
{
var dlWxb=YTHkT(e)
if(WA_Dialog.KDiAJ)
{
if(WA_Dialog.KDiAJ.onkeydown(dlWxb))
{
return false;
}
}
if(dlWxb==13) return true;

if(wa_global_photo_album&&wa_global_photo_album.fullpage_object)
{
var ikRAa=wa_global_photo_album.fullpage_object
return ikRAa.onFullScreenKeydown(dlWxb) 
}
return HbjsZ("keydown",[dlWxb]);
}
function WA_genericMouseWheelHandler(e)
{
var delta=0;
if(!e) e=window.event;
if(e.wheelDelta){
delta=e.wheelDelta/120;
if(window.opera) delta=-delta;
}else if(e.detail){
delta=-e.detail/3;
}
if(navigator.userAgent.match(/opera/i)) delta=-delta;
var b_default=false;
if(delta)
{
if(document.wa_global_handlers!=undefined)
{
var mRYUY=this.id
var EqTlV=document.wa_global_handlers[mRYUY+"-mousewheel"]
if(EqTlV)
{
if(EqTlV([mRYUY],[delta]))
{
b_default=true;
}
}
}
}
if(b_default)
if(e.preventDefault)
e.preventDefault();
e.returnValue=!b_default;
}
function WA_addHandler(mRYUY,bDcrO,DIkql)
{
if(document.wa_global_handlers==undefined) document.wa_global_handlers=new Array()
if(bDcrO=="mousewheel")
{
var ipivU=document.getElementById(mRYUY);
if(ipivU.addEventListener)
ipivU.addEventListener('DOMMouseScroll',WA_genericMouseWheelHandler,false);
ipivU.onmousewheel=WA_genericMouseWheelHandler
}
document.wa_global_handlers[mRYUY+"-"+bDcrO]=DIkql
}
function WA_loadPhotoAlbum(mRYUY,frnQW,hIqdM,mRYUY_modif)
{
if(typeof(wa_global_photo_album[mRYUY])=="undefined")
{
var o=new Array();
o.src_folder=frnQW
o.size_container=hIqdM
o.id_modif=mRYUY_modif
wa_global_photo_album[mRYUY]=o;
}
}
function WA_focused_element()
{
return document.wa_global_focused_element
}
function WA_focus(ikRAa)
{
document.wa_global_focused_element=ikRAa.id
}
function WA_loadScript(url,callback,params)
{
var e=document.createElement("script");
e.src=url;
e.type="text/javascript";
e.onerror=function(){callback(params,false);}
if(/msie/i.test(navigator.userAgent)&&!/opera/i.test(navigator.userAgent)){
e.onreadystatechange=function(){
if((this.readyState=='complete')||(this.readyState=='loaded')){
callback(params,true);
}
}
}else
{
e.onload=function(){
if(/opera/i.test(navigator.userAgent))
wa_timeout(callback,0,params,true);
else
callback(params,true);
}
}
document.getElementsByTagName("head")[0].appendChild(e);
}
function WA_blog_declare(vDlHf,rLQUS,KRFKc)
{
if(!document.wa_global_blogs_elements)document.wa_global_blogs_elements=new Array()
if(!document.wa_global_blogs_buttons)document.wa_global_blogs_buttons=new Array()
if(!document.wa_global_blogs_elements[rLQUS])document.wa_global_blogs_elements[rLQUS]=new Array()
document.wa_global_blogs_elements[rLQUS].id_blog=vDlHf
document.wa_global_blogs_elements[rLQUS].has_email=KRFKc
}
function WA_addSearchHandler(mRYUY)
{
return WA_addHandler(mRYUY,"keypress",ROYOk)
}
function ROYOk(mRYUY,SiWVE)
{
var dlWxb=SiWVE[0]
if(dlWxb==13)
{
var QdYUO=mRYUY+"-search-input";
WA_onSearch(QdYUO)
return false;
}
return true;
}
function WA_declareSearchIndex(CPHaG,hYuTQ)
{
document.const_wa_search_js=CPHaG
document.const_wa_search_index_js=hYuTQ
}
function WA_onSearch(QdYUO)
{
var NnfaV=document.getElementById(QdYUO);
if(document.wa_search_js_loaded==true)
{
WA_openSearchDialog(NnfaV,document.const_wa_search_index_js)
}
else
{
WA_Dialog.progress();
HqZlp(NnfaV)
}
}
function ZjJcx(SiWVE)
{
document.wa_search_js_loaded=true
WA_openSearchDialog(SiWVE[0],document.const_wa_search_index_js)
}
function HqZlp(YMJgu)
{
WA_loadScript(document.const_wa_search_js,ZjJcx,[YMJgu])
}
function LNPOU(offset){
var endstr=document.cookie.indexOf(";",offset);
if(endstr==-1)
endstr=document.cookie.length;
return unescape(document.cookie.substring(offset,endstr));
}
function WA_GetCookie(name)
{
var arg=name+"=";
var alen=arg.length;
var clen=document.cookie.length;
var i=0;
while(i<clen)
{
var j=i+alen;
if(document.cookie.substring(i,j)==arg)
return LNPOU(j);
i=document.cookie.indexOf(" ",i)+1;
if(i==0) break;
}
return "";
}
function WA_SetCookie(name,value){
var argv=WA_SetCookie.arguments;
var argc=WA_SetCookie.arguments.length;
var expires=(argc>2)?argv[2]:null;
var path=(argc>3)?argv[3]:null;
var domain=(argc>4)?argv[4]:null;
var secure=(argc>5)?argv[5]:false;
document.cookie=name+"="+escape(value)+((expires==null)?"":("; expires="+expires.toGMTString()))+((path==null)?"":("; path="+path))+((domain==null)?"":("; domain="+domain))+((secure==true)?"; secure":"");
}
function WA_bg_menu(mRYUY)
{
var VDjDq=document.wa_global_menu_declaration[mRYUY]
WA_bg(mRYUY,VDjDq.root_lx,VDjDq.root_ly,VDjDq.root_corner,VDjDq.root_border,VDjDq.root_col_border,[VDjDq.root_bg],false,0)
var UPGeu=document.getElementById(VDjDq.id)
if(!UPGeu)return;
var c=UPGeu.getContext('2d');
c.lineWidth=1
c.strokeStyle=VDjDq.root_col_separator
var qbJRg=0.5;

var JpjIu=VDjDq.root_sizes.length
if(VDjDq.root_extend==false)
{
JpjIu--;
}
var XOEnj=3;
for(var i=0;i<JpjIu;i++)
{
var hIqdM=VDjDq.root_sizes[i] 

c.beginPath();
if(VDjDq.root_vertical==false)
{
qbJRg+=(hIqdM-1)
c.moveTo(qbJRg,XOEnj)
c.lineTo(qbJRg,VDjDq.root_ly-XOEnj)
}
else
{
qbJRg+=(hIqdM)
c.moveTo(XOEnj,qbJRg-1,0)
c.lineTo(VDjDq.root_lx-XOEnj,qbJRg-1)
}
c.closePath();
c.stroke()
}
}
function WA_declare_menu(mRYUY,VDjDq)
{
if(!document.wa_global_menu_declaration)document.wa_global_menu_declaration=new Array();
VDjDq.id=mRYUY
document.wa_global_menu_declaration[mRYUY]=VDjDq
WA_bg_menu(mRYUY)
}
function WA_declareMarket(mRYUY,WfFKq_market,mRYUY_modif)
{
if(typeof(wa_global_market.markets[mRYUY])=="undefined")
{
var o=new Array();
o.src_folder=WfFKq_market
o.id_modif=mRYUY_modif 

o.id=mRYUY
wa_global_market.markets[mRYUY]=o;
}
}
function WA_button_market_declare(mRYUY,SqJrv)
{
if(!document.wa_global_button_market_declaration)document.wa_global_button_market_declaration=new Array();
document.wa_global_button_market_declaration[mRYUY]=SqJrv
}
function GRUOn(c,img,HWGXh,mCpSI,gmpKc,pbaCN,MTZbN,QquDh,rxBZT)
{
c.globalAlpha=QquDh
if(rxBZT) c.clearRect(0,0,gmpKc,pbaCN) 
if(QquDh==0)return;
if(MTZbN)
{
c.drawImage(img,MTZbN.x,MTZbN.y,MTZbN.width,MTZbN.height,HWGXh,mCpSI,gmpKc,pbaCN)
}
else
{
c.drawImage(img,HWGXh,mCpSI,gmpKc,pbaCN)
}
}
function WA_drawImage(id,IgPix,HWGXh,mCpSI,gmpKc,pbaCN,MTZbN,QquDh,rxBZT)
{
if(rxBZT==undefined)rxBZT=true;
if(QquDh==undefined)QquDh=1.0;
var el=document.getElementById(id)
if(!el)return
var c=el.getContext('2d');
c.shadowOffsetX=0;c.shadowOffsetY=0;c.shadowBlur=0;
if(c.old_src==IgPix)
{
GRUOn(c,c.ZGSsk,HWGXh,mCpSI,gmpKc,pbaCN,MTZbN,QquDh,rxBZT)
return;
}
var img=new Image();
img.mpGtQ=el.mpGtQ
img.onload=function()
{
c.old_src=IgPix
c.ZGSsk=this;
GRUOn(c,this,HWGXh,mCpSI,gmpKc,pbaCN,MTZbN,QquDh,rxBZT)
}
img.src=IgPix;
}

-->
